# The Pandas Workshop

<a href="https://www.packtpub.com/product/the-pandas-workshop/9781800208933?utm_source=github&utm_medium=repository&utm_campaign=9781800208933"><img src="https://static.packt-cdn.com/products/9781800208933/cover/smaller" alt="The Pandas Workshop" height="256px" align="right"></a>

This is the code repository for [The Pandas Workshop](https://www.packtpub.com/product/the-pandas-workshop/9781800208933?utm_source=github&utm_medium=repository&utm_campaign=9781800208933), published by Packt.

**A comprehensive guide to using Python for data analysis with real-world case studies**

## What is this book about?
The Pandas Workshop will teach you how to be more productive with data and generate real business insights to inform your decision-making. You will be guided through real-world data science problems and shown how to apply key techniques in the context of realistic examples and exercises. Engaging activities will then challenge you to apply your new skills in a way that prepares you for real data science projects.

This book covers the following exciting features: 
* Access and load data from different sources using pandas
* Work with a range of data types and structures to understand your data
* Perform data transformation to prepare it for analysis
* Use Matplotlib for data visualization to create a variety of plots
* Create data models to find relationships and test hypotheses
* Manipulate time-series data to perform date-time calculations
* Optimize your code to ensure more efficient business data analysis

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/B09NC5XJ6D) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>


## Instructions and Navigations
All of the code is organized into folders.

The code will look like the following:
```
lin _ model = sm.OLS(metal _ data['alloy _ hardness'], X)
my _ model = lin _ model.fit()
print(my _ model.summary())
```

**Following is what you need for this book:**
This data analysis book is for anyone with prior experience working with the Python programming language who wants to learn the fundamentals of data analysis with pandas. Previous knowledge of pandas is not necessary.

With the following software and hardware list you can run all code files present in the book (Chapter 1-14).

### Software and Hardware List


| Chapter  | Software required                    | OS required                        |
| -------- | ------------------------------------ | -----------------------------------|
| 1-14	   | Python 3.9.x                            | Windows, Mac OS X, and Linux (Any) |
| 1-14	   | Jupyter 1.0.0                         |                                    |
| 1-14	   | pandas 1.3                            |                                    |
| 1-14     | matplotlib 3.3                       |                                    |


We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://static.packt-cdn.com/downloads/9781800208933_ColorImages.pdf).


### Related products <Other books you may enjoy>
* Hands-On Data Analysis with Pandas, Second Edition [[Packt]](https://www.packtpub.com/product/hands-on-data-analysis-with-pandas-second-edition/9781800563452?utm_source=github&utm_medium=repository&utm_campaign=9781800563452) [[Amazon]](https://www.amazon.com/dp/1800563450)

* Data Analysis Crash Course for Beginners [[Packt]](https://www.packtpub.com/product/data-analysis-crash-course-for-beginners-pandas-python-video/9781803242354?utm_source=github&utm_medium=repository&utm_campaign=9781803242354) 

## Get to Know the Authors
**Blaine Bateman**
 has more than 35 years of experience working with various industries from government R&D to startups to $1B public companies. His experience focuses on analytics including machine learning and forecasting. His hands-on abilities include Python and R coding, Keras/Tensorflow, and AWS & Azure machine learning services. As a machine learning consultant, he has developed and deployed actual ML models in industry.

**Saikat Basak** 
is a data scientist and a passionate programmer. Having worked with multiple industry leaders, he has a good understanding of problem areas that can potentially be solved using data. Apart from being a data guy, he is also a science geek and loves to explore new ideas in the frontiers of science and technology.

**Thomas V. Joseph**
is a data science practitioner, researcher, trainer, mentor, and writer with more than 19 years of experience. He has extensive experience in solving business problems using machine learning toolsets across multiple industry segments.

**William So**
is a Data Scientist with both a strong academic background and extensive professional experience. He is currently the Head of Data Science at Douugh and also a Lecturer for Master of Data Science and Innovation at the University of Technology Sydney.
During his career, he successfully covered the end-end spectrum of data analytics from ML to Business Intelligence helping stakeholders derive valuable insights and achieve amazing results that benefits the business.
William is a co-author of the "The Applied Artificial Intelligence Workshop" published by Packt.
